# Created by pyp2rpm-3.3.2
%global pypi_name pysmi

Name:           python-%{pypi_name}
Version:        1.5.9
Release:        %mkrel 4
Summary:        SNMP SMI/MIB Parser
Group:          Development/Python
License:        BSD
URL:            https://github.com/lextudio/pysmi
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pysnmp)
BuildRequires:  python3dist(ply)
BuildRequires:  python3dist(setuptools)
Obsoletes: python-%{pypi_name}-doc < 1.5.9

%description
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(ply)
%description -n python3-%{pypi_name}
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.

%package -n python-%{pypi_name}-doc
Summary:        pysmi documentation
%description -n python-%{pypi_name}-doc
Documentation for pysmi

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
# PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pysmi

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license docs/source/license.rst LICENSE.rst
%doc docs/README.txt README.md
%{_bindir}/mibcopy
%{_bindir}/mibdump


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.9-4.mga10
+ Revision: 2241286
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.5.9-3.mga10
+ Revision: 2158480
- rebuild for python3.13

* Mon Dec 23 2024 papoteur <papoteur> 1.5.9-2.mga10
+ Revision: 2129567
- new version 1.5.9

* Wed Dec 20 2023 joequant <joequant> 0.3.4-1.mga10
+ Revision: 2020484
- update to 0.3.4 - rebuild for 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.3.3-6.mga9
+ Revision: 1832639
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 0.3.3-5.mga9
+ Revision: 1775461
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.3-4.mga9
+ Revision: 1733095
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.3-3.mga8
+ Revision: 1535603
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.3.3-2.mga8
+ Revision: 1452570
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.3.3-1.mga7
+ Revision: 1353998
- pyp2rpm ; needed by new pysnmp

